### Function

# Soup HSTSPolicy new_from_response

#### Declaration [src]

    SoupHSTSPolicy*
    soup_hsts_policy_new_from_response (
      SoupMessage* msg
    )

#### Description [src]

Parses `msg`‘s first “Strict-Transport-Security” response header and returns a `SoupHSTSPolicy`.

#### Parameters

`msg` | `SoupMessage`
| A `SoupMessage`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `SoupHSTSPolicy`
| A new `SoupHSTSPolicy`, or `NULL` if no valid “Strict-Transport-Security” response header was found.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.